   --     -
   --       ., 
   --      .
   --   ""  
   -- *************************************************
   --    
   --
   -- Sqrt(a+Sqrt(a+Sqrt(a+...))),
   --
   -- n -    
   ------------------------------------------------
   raman1 n a | n==1 = sqrt a
              | True = sqrt (a+raman1 (n-1) a)
   -------------------------------------------
   --    
   --
   -- Sqrt(1+a*(Sqrt(1+(a+1)*(Sqrt(1+(a+2)*(Sqrt(1+...))))))),
   --
   -- : a -  ,
   --      n -    
   -----------------------------------------------------
   raman2 n a | n==1 = sqrt (1.0+a)
              | True = sqrt (1.0+a*raman2 (n-1) (a+1.0))
   -- **************************************************
   --   :
   -------------------------------------------------
   test1 =   abs ((raman1 100  2)-2) < 0.00000000001
          && abs ((raman1  50  2)-2) < 0.00000000001
          && abs ((raman1 100  6)-3) < 0.00000000001
          && abs ((raman1 100 12)-4) < 0.00000000001
          && abs ((raman1 100  5)-(1+sqrt 21)/2) 
                                     < 0.000001
   --------------------------------------------
   test2 =   abs ((raman2 30 2)-3) < 0.00000001
          && abs ((raman2 20 2)-3) < 0.00001
   -----------------------------------------
   --   :
   ----------------------------------------
   test21 = abs ((raman2 10 2)-3) < 0.00001
   -------------------------------------------------
   --        
   --  ,    -    .
   --  ,    :
   ----------------------------------------------
   test22 =   abs ((raman2 20 2)-3) < 0.00001
           && abs ((raman2 10 2)-3) < 0.01
   -----------------------------------------------
   test = test1 && test2 && not (test21) && test22
